class Card {
  PImage card;
  PImage cover;
  int locX, locY, value;
  int cardWidth = 135;
  int cardHeight = 200;
  boolean isFlipped = false;
  int numFlipped = 0;
  boolean isMatched = false;
  
  Card(int _locX, int _locY, PImage _card, int _value){
    locX = _locX;
    locY = _locY;
    card = _card;
    cover = loadImage("cover.png");
    value = _value;
  }
  
  void displayCards() {
    // display cover if not flipped
    if (!isFlipped && !isMatched){
      image(cover, locX, locY);
    }
    else {
      image(card, locX, locY);
    }
  }
  
  // debugging
  void displayValue(){
    print(value);
  }
  
  void flipCard(){
    if(mouseX <= locX+card.width 
      && mouseX >= locX
      && mouseY <= locY + card.height
      && mouseY >= locY){
       isFlipped = !isFlipped;
       
       // count every time the card is flipped
       numFlipped++;
       
       // reset the counter when 2 cards are selected
       if (numFlipped == 3){
         isFlipped = !isFlipped;
         numFlipped = 0;
       }
    }
  }
}
